#!/bin/sh
SKIPMOUNT=false
PROPFILE=false
POSTFSDATA=true
LATESTARTSERVICE=false
REPLACE="

"
sleep 2
ui_print ""
ui_print "************************************"
ui_print "*    RiProG Open Source @ RiOpSo   *"
ui_print "************************************"
ui_print "*      Muhammad Rizki @ RiProG     *"
ui_print "************************************"
ui_print ""
sleep 2
android_version=$(getprop ro.build.version.release)
major_version=$(echo "$android_version" | cut -d'.' -f1)
if [ "$major_version" -lt 11 ]; then
	ui_print "- Android version $android_version is not supported."
	ui_print "- Installation aborted."
	exit 1
else
	ui_print "- Android version $android_version is supported."
	ui_print "- Installation continues."
fi
ui_print "- Extracting module files"
unzip -o "$ZIPFILE" 'source.c' -d "$MODPATH" >&2
architecture=$(getprop ro.product.cpu.abi)
if [ "$architecture" = "arm64-v8a" ]; then
	ui_print "- Architecture $architecture is supported."
	ui_print "- Installation continues."
	unzip -p "$ZIPFILE" 'arm64' >"$MODPATH/BRU"
elif [ "$architecture" = "armeabi-v7a" ]; then
	ui_print "- Architecture $architecture is supported."
	ui_print "- Installation continues."
	unzip -p "$ZIPFILE" 'arm' >"$MODPATH/BRU"
else
	ui_print "- Architecture $architecture is not supported."
	ui_print "- Installation aborted."
	exit 1
fi
chmod +x "$MODPATH/BRU"
